summaryrefslogtreecommitdiffstats
path: root/games/rezerwar
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-13 00:58:11 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:58:11 +0200
commit4351fb5d77a9f8d2ae13d2a3e03267fd1f4c5461 (patch)
tree44d58b2140feaddac30ada37e499c49ff4ab9ae3 /games/rezerwar
parent417432dffffdd9786020759eefca75d5442f5ff1 (diff)
downloadslackbuilds-4351fb5d77a9f8d2ae13d2a3e03267fd1f4c5461.tar.gz
slackbuilds-4351fb5d77a9f8d2ae13d2a3e03267fd1f4c5461.tar.xz
games/rezerwar: Added to 13.0 repository
Diffstat (limited to 'games/rezerwar')
-rw-r--r--games/rezerwar/README5
-rw-r--r--games/rezerwar/doinst.sh10
-rw-r--r--games/rezerwar/rezerwar.SlackBuild73
-rw-r--r--games/rezerwar/rezerwar.desktop9
-rw-r--r--games/rezerwar/rezerwar.info10
-rw-r--r--games/rezerwar/slack-desc19
6 files changed, 126 insertions, 0 deletions
diff --git a/games/rezerwar/README b/games/rezerwar/README
new file mode 100644
index 0000000000..f900db9baf
--- /dev/null
+++ b/games/rezerwar/README
@@ -0,0 +1,5 @@
+Rezerwar is a puzzle game that could be quickly described as the illegitimate
+child of a known tetromino game and a pipe game. I adopted this bastard child
+and tried to give it some life. The goal of this game is to basically create
+networks of water and make them disappear, a couple tricks and techniques will
+help you achieve this goal faster.
diff --git a/games/rezerwar/doinst.sh b/games/rezerwar/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/games/rezerwar/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/games/rezerwar/rezerwar.SlackBuild b/games/rezerwar/rezerwar.SlackBuild
new file mode 100644
index 0000000000..7a465de0bf
--- /dev/null
+++ b/games/rezerwar/rezerwar.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for rezerwar
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=rezerwar
+VERSION=${VERSION:-0.4.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+TARGET_BIN="/usr/games" \
+TARGET_DOC="/usr/doc/$PRGNAM-$VERSION" \
+TARGET_DATA="/usr/share/$PRGNAM" \
+MK_EXTRACFLAGS="$SLKCFLAGS" \
+OS="Linux" ./configure
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/share/applications
+install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+for i in 16 32; do
+ convert data/gfx/icons/icon_${i}x${i}.ico $PRGNAM-$i.png
+ install -D -m 0644 $PRGNAM-$i.png \
+ $PKG/usr/share/icons/hicolor/${i}x${i}/apps/$PRGNAM.png
+done
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/rezerwar/rezerwar.desktop b/games/rezerwar/rezerwar.desktop
new file mode 100644
index 0000000000..d020358ba2
--- /dev/null
+++ b/games/rezerwar/rezerwar.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Rezerwar
+Comment=Puzzle game that could be quickly described as the illegitimate child of a known tetromino game and the average pipe game.
+Exec=rezerwar
+Icon=rezerwar
+Terminal=false
+StartupNotify=false
+Type=Application
+Categories=Game;ArcadeGame;
diff --git a/games/rezerwar/rezerwar.info b/games/rezerwar/rezerwar.info
new file mode 100644
index 0000000000..44da2cbec3
--- /dev/null
+++ b/games/rezerwar/rezerwar.info
@@ -0,0 +1,10 @@
+PRGNAM="rezerwar"
+VERSION="0.4.1"
+HOMEPAGE="http://tamentis.com/projects/rezerwar/"
+DOWNLOAD="http://tamentis.com/projects/rezerwar/files/rezerwar-0.4.1.tar.gz"
+MD5SUM="10aa0006d230d0cd5691b31219ca3b8f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="rworkman"
diff --git a/games/rezerwar/slack-desc b/games/rezerwar/slack-desc
new file mode 100644
index 0000000000..ea43bf6cdc
--- /dev/null
+++ b/games/rezerwar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rezerwar: rezerwar (puzzle game)
+rezerwar:
+rezerwar: Rezerwar is a puzzle game that could be quickly described as the
+rezerwar: illegitimate child of a known tetromino game and a pipe game. I
+rezerwar: adopted this bastard child and tried to give it some life.
+rezerwar:
+rezerwar: Homepage: http://tamentis.com/projects/rezerwar/
+rezerwar:
+rezerwar:
+rezerwar:
+rezerwar: